#!/usr/bin/env bash

# Functions

function get_dep(){
    wheel true &
    WPID=$!
    apt-get install -y $@ &> /dev/null
    if [[ $? -ne 0 ]]; then
        if [[ $@ == "p7zip-full" ]]; then failed_install 7z; else failed_install $@; fi
    else
        if [[ $@ == "p7zip-full" ]]; then complete_install 7z; else complete_install $@; fi
    fi
    disown $WPID
    kill $WPID &> /dev/null
}

# Run

echo -e "APT system detected"
echo "---------------------"

wheel true &
WPID=$!
apt-get update 1> /dev/null
disown $WPID
kill $WPID &> /dev/null


if [ $# -eq 1 ]; then 
    if $PRIVSOFT; then 
        rarInstall
    fi
    for installer in "tar" "bzip2" "gzip" "zip" "unzip" "p7zip-full"
      do get_dep $installer
    done
else
    for i in $@
    do
        if [ $i != "-i" ]
        then
            case $i in
                "rar" | "unrar")
                    rarInstall
                ;;
                "7z" | "7zip" | "p7zip")
                    get_dep p7zip-full
                ;;
                *)
                    get_dep $i
                ;;
            esac
        fi
    done
fi